Bug 74540 - No way to set laptop power behavior
No way to set laptop power behavior
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-26 07:27 EDT by Daniel
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-18 15:46:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel 2002-09-26 07:27:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
There is currently no GUI way to set power mode mappings.

For example, if I hit the power button on my laptop, I want it to shut down
gracefully (like Windows does), but the machine just powers-off. Similarly, I
want to be able to define which power-state mode to go to when I close the lid,
depending on whether it is plugged in or not, and when I press the power button,
whether it is plugged in or not.

This should be a standard feature. I have found that this capability greatly
contributes to my enjoyment of Windows on my laptop. If Red Hat had this
capability, I would switch over full-time from a dual-boot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Press power button or close laptop lid
2.
3.
	

Actual Results:  Machine doesn't shutdown gracefully

Expected Results:  Machine should interpret ACPI event and either switch to
runlevel 0 or go to standby mode, depending on user preference.

Additional info:
Comment 1 Ngo Than 2005-07-18 15:46:08 EDT
this feature should be done in KDE upstream. For new KDE feature request you
should file the request directly to bugs.kde.org. Thanks

Note You need to log in before you can comment on or make changes to this bug.